Hashrate IndexAPI DocumentationStocks

Get Stocks Index Performance

GET
/stocks/index/performance

Returns performance metrics for the mining stock index, including total return, price return, volatility, and benchmark comparisons.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/stocks/index/performance"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/StocksIndexPerformanceData.json",  "data": [    {      "timestamp": "2019-08-24T14:15:22Z",      "currentPrice": 0,      "changeAmount": 0,      "changePercentage": 0,      "previousClose1D": 0,      "open1D": 0,      "high1D": 0,      "low1Y": 0,      "high1Y": 0,      "btcCorrelation": 0    }  ]}
{  "location": "string",  "message": "string",  "value": null}
{  "location": "string",  "message": "string",  "value": null}
{  "location": "string",  "message": "string",  "value": null}